#ifndef HecCell_h
#define HecCell_h

/*! - Class:    HecCell
      - Author:   Ian Gable (igable@uvic.ca)
      - Date:      05/09/2002
      - Description: HecCell is a very simple class which currently only stores the adc
                             number  and Value.
  */


class HecCell {

 public:


  /** Use this contructor
    *@param adcNumber the number of the acd
    *@param signal the signal contained in cell
    */
  HecCell(int adcNumber,float signal);

  //! set the signal value
  void signal(float signal){ m_signal = signal; };

  //! get the signal value
  float signal() { return m_signal; };

  //! get the adc number
  int adcNumber(){ return m_adcNumber; };

  //! set the acd number
  void acdNumber(int adcNumber) {m_adcNumber = adcNumber;};

 private:
  int m_adcNumber;
  float m_signal; //ie energy
};
#endif
